Support for GCC bounds propagation
Other available functionality » Integer propagators

## Classes

class | Gecode::Int::GCC::UnReachable
| Class for computing unreachable values in the value GCC propagator. More...
class | Gecode::Int::GCC::Rank
| Maps domain bounds to their position in hall[].bounds. More...
class | Gecode::Int::GCC::MaxInc< View >
| Compares two indices i, j of two views according to the ascending order of the views upper bounds. More...
class | Gecode::Int::GCC::MinInc< View >
| Compares two indices i, j of two views according to the ascending order of the views lower bounds. More...
class | Gecode::Int::GCC::MinIdx< Card >
| Compares two cardinality views according to the index. More...
class | Gecode::Int::GCC::PartialSum< Card >
| Partial sum structure for constant time computation of the maximal capacity of an interval. More...
class | Gecode::Int::GCC::HallInfo
| Container class provding information about the Hall structure of the problem variables. More...

## Functions

template<class Card>
ExecStatus | Gecode::Int::GCC::prop_card (Space &home, ViewArray< IntView > &x, ViewArray< Card > &k)
| Bounds consistency check for cardinality variables.
template<class Card>
bool | Gecode::Int::GCC::card_consistent (ViewArray< IntView > &x, ViewArray< Card > &k)
| Consistency check, whether the cardinality values are feasible.

## Detailed Description

## Function Documentation

## prop_card()

template<class Card>

ExecStatus Gecode::Int::GCC::prop_card | ( | Space & | home,
|  | ViewArray< IntView > & | x,
|  | ViewArray< Card > & | k )

Bounds consistency check for cardinality variables.

Definition at line 74 of file bnd-sup.hpp.

## card_consistent()

template<class Card>

bool Gecode::Int::GCC::card_consistent | ( | ViewArray< IntView > & | x,
|  | ViewArray< Card > & | k )

inline

Consistency check, whether the cardinality values are feasible.

Definition at line 139 of file bnd-sup.hpp.